Package org.codehaus.janino

# Class UnicodeUnescapeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.codehaus.janino.UnicodeUnescapeException

All Implemented Interfaces:
  `Serializable`

public class UnicodeUnescapeException extends RuntimeException
Represents a problem that occurred while unescaping a unicode escape sequence through a `UnicodeUnescapeReader`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnicodeUnescapeException(String message)`
`UnicodeUnescapeException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnicodeUnescapeException

public UnicodeUnescapeException(String message)

### UnicodeUnescapeException

public UnicodeUnescapeException(String message, Throwable cause)